## ros-melodic-rail-segmentation 0.1.15

=== debian/changelog ===
ros-melodic-rail-segmentation (0.1.15-1bionic) bionic; urgency=high

  * Minor update to fix an incorrect declaration of a static const variable under certain compilers
  * Contributors: David Kent

 -- Russell Toris <russell.toris@gmail.com>  Fri, 28 Jun 2019 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.14-1bionic) bionic; urgency=high

  * Added new service which takes in a point cloud to segment
  * Contributors: David Kent, Weiyu Liu

 -- Russell Toris <russell.toris@gmail.com>  Thu, 27 Jun 2019 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.13-1bionic) bionic; urgency=high

  * Safer wait for point cloud that checks timestamps
  * Switched continuous point cloud polling for waitForMessage
  * Added an option to publish marker labels for each cluster for debugging
  * Added a flag to the segmentation zone config to require a table; if this is set to true, segmentation will only be performed if a surface was successfully detected in the current segmentation zone.
  * New service for re-calculating (or filling in uncalculated) features of segmented objects, assuming that at minimum the point cloud field is set
  * Exposed cluster tolerance as a parameter
  * Optional parameter for cropping the workspace before table detection (defaults to false so it won't change behavior for anything currently using rail_segmentation), which potentially speeds up segmentation but may cause table detection to fail more often when segmenting in small, cluttered segmentation zones
  * Contributors: David Kent

 -- Russell Toris <russell.toris@gmail.com>  Fri, 07 Jun 2019 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.12-1bionic) bionic; urgency=high

  * Replacing deprecated pcl call to upgrade ROS versions
  * Contributors: David Kent

 -- Russell Toris <russell.toris@gmail.com>  Fri, 12 Oct 2018 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.11-1bionic) bionic; urgency=high

  * Segmenter.h: Fix compilation error with -std=c++11.
    This commit fixes compilation errors due to compilation with std=c++11,
    such as:
    include/rail_segmentation/Segmenter.h:82:23: error: ‘constexpr’ needed for
    in-class initialization of static data member
    ‘const double rail::segmentation::Segmenter::SAC_EPS_ANGLE’ of
    non-integral type [-fpermissive]
    static const double SAC_EPS_ANGLE = 0.15;
    ^~~~~~~~~~~~~
    Signed-off-by: Elvis Dowson <elvis.dowson@gmail.com>
  * Fixing a small bug so that the segment_objects service matches the topic data
  * Better bounding box calculation, added average rgb and cielab color to segmented object messages as they are calculated anyway, and added an alternative service api, segment_objects, that returns the segmented object list in the service response (while still broadcasting the segmented object list on the topic)
  * Constant definition fix for functions with reference parameters
  * Added option for euclidean + RGB clustering instead of solely euclidean distance
  * Contributors: David Kent, Elvis Dowson, Levon Avagyan, Russell Toris, Siddhartha Banerjee

 -- Russell Toris <russell.toris@gmail.com>  Fri, 21 Sep 2018 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.10-1bionic) bionic; urgency=high

  * Merge pull request #4 <https://github.com/GT-RAIL/rail_segmentation/issues/4> from velveteenrobot/publish-table
    Now publishes table as SegmentedObject and table marker as Marker
  * Now publishes table as SegmentedObject and table marker as Marker
  * New travis for indigo and jade
  * email update
  * Contributors: Russell Toris, Sarah Elliott

 -- Russell Toris <russell.toris@gmail.com>  Sat, 17 Sep 2016 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.9-1bionic) bionic; urgency=high

  * Update .travis.yml
  * Update README.md
  * Update package.xml
  * Added a node that continuously calls the segmentation service
  * Contributors: David Kent

 -- Russell Toris <russell.toris@gmail.com>  Tue, 23 Feb 2016 05:00:00 -0000

ros-melodic-rail-segmentation (0.1.8-1bionic) bionic; urgency=high

  * allows for params of min/max cluster size
  * Contributors: Russell Toris

 -- Russell Toris <russell.toris@gmail.com>  Thu, 14 May 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.7-1bionic) bionic; urgency=high

  * removed hard coded constants
  * angle fix
  * Approximated segmented object orientation with PCA
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <russell.toris@gmail.com>  Thu, 07 May 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.6-1bionic) bionic; urgency=high

  * cleared flag added
  * Contributors: Russell Toris

 -- Russell Toris <russell.toris@gmail.com>  Wed, 22 Apr 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.5-1bionic) bionic; urgency=high

  * Added center point calculation for segmented objects
  * Contributors: David Kent

 -- Russell Toris <russell.toris@gmail.com>  Wed, 15 Apr 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.4-1bionic) bionic; urgency=high

  * quick travis fix
  * old parser format
  * Update .travis.yml
  * Contributors: Russell Toris

 -- Russell Toris <russell.toris@gmail.com>  Tue, 14 Apr 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.3-1bionic) bionic; urgency=high

  * bounding box info added
  * Contributors: Russell Toris

 -- Russell Toris <russell.toris@gmail.com>  Fri, 10 Apr 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.2-1bionic) bionic; urgency=high

  * cmake cleanup
  * header cleanup
  * header cleanup
  * header cleanup
  * checks for incoming point cloud first
  * new lines added
  * new lines added
  * more const ptrs
  * moved to ptr based storage
  * const ptrs
  * Contributors: Russell Toris

 -- Russell Toris <russell.toris@gmail.com>  Fri, 03 Apr 2015 04:00:00 -0000

ros-melodic-rail-segmentation (0.1.1-1bionic) bionic; urgency=high

  * segmentation debug is now latched
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_segmentation into develop
  * redid zones for default

